:root {
    --main-width: 1200px;
    --main-background-color: hsl(0, 0%, 100%);
    --second-background-color: hsl(0, 0%, 100%);
    --third-background-color: hsl(0, 0%, 94%); 
    --fourth-background-color: hsl(0, 0%, 100%);    
    --main-font-color: hsl(0, 0%, 0%);
    --second-font-color: hsl(0, 0%, 100%);
    --promo-font-color: hsl(10, 90%, 50%);
    --main-shadow-color: hsl(0, 0%, 60%);
    --filter-invert-value: 0%;
    --main-border-color: hsl(0, 0%, 80%);
  }

  /* Dark theme color */
  /* :root {
    --main-background-color: hsl(0, 0%, 25%);
    --second-background-color: hsl(0, 0%, 30%);
    --third-background-color: hsl(0, 0%, 15%); 
    --fourth-background-color: hsl(0, 0%, 15%);    
    --main-font-color: hsl(0, 0%, 90%);
    --second-font-color: hsl(0, 0%, 10%);
    --promo-font-color: hsl(10, 70%, 50%);
    --main-shadow-color: hsl(0, 0%, 0%);
    --filter-invert-value: 100%;
    --main-border-color: hsl(0, 0%, 60%);
  } */
  
  *,
  ::before,
  ::after {
      padding: 0;
      margin: 0;
  }
  
  html {
      font-size: 62.5%;
      box-sizing: border-box;
  }
  
  body {
      font-family: 'Lato', 'Segoe UI', sans-serif;
      font-size: 1.6rem;
      background-color: var(--main-background-color);
      display: grid;
      grid-template-columns: 1fr minmax(auto, var(--main-width)) 1fr;
      grid-template-areas: "header header header"
                              ". main ."
                              ". footer .";
  }
  
  header {
      grid-area: header;
      position: sticky;
      background-color: var(--main-background-color);
      top: 0;
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      z-index: 1;
  }
  
  .navbar {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      width: var(--main-width);
      margin: 0 auto;
  }
  
  .mobile-navbar {
      display: flex;
      align-items: center;
      flex-direction: row;
      height: 5.8rem;
      box-sizing: border-box;
      padding: 0.4rem 5rem;
      background-color: var(--third-background-color);
      box-shadow: 0 0.4rem 0.5rem -0.2rem var(--main-shadow-color);
  }
  
  .burger-button {
      margin: 0 2rem;
      border: none;
      cursor: pointer;
      background-color: inherit;
      color: var(--main-font-color);
  }
  
  .burger-button-image {
      height: 3rem;
      filter: invert(var(--filter-invert-value));
  }
  
  .logo {
      display: flex;
      align-items: center;
      text-decoration: none;
      text-align: right;
      margin: 0 2rem;
      filter: hue-rotate(200deg);
      -webkit-filter: hue-rotate(200deg);
      -moz-filter: hue-rotate(200deg);
  }
  
  .logo-text {
      font-family: 'Comfortaa', monospace;
      font-size: 2.4rem;
      color: var(--main-font-color);
  }
  
  .logo-image {
      padding-left: 1rem;
      height: 8rem;
  }
  
  .searchbar {
      width: 100%;
      background-color: var(--second-background-color);;
      border: solid 0.1rem var(--main-border-color);
      height: 4rem;
      border-radius: 2.5rem;
      display: flex;
      align-items: center;
      margin: 0 1rem;
      transition: box-shadow 0.1s;
  }
  
  .searchbar:focus-within {
      box-shadow: 0 0 0.5rem 0.1rem var(--main-shadow-color);
  }
  
  .searchbar-icon-container {
      height: 4.0rem;
      width: 8.2rem;
      background-color: hsl(0, 0%, 30%);
      border-radius: 2.5rem;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      transition: background-color 0.3s;
  }
  
  .searchbar-icon-container:hover {
      background-color: black;
  }
  
  .searchbar-icon {
      height: 3rem;
      width: 3rem;
  }
  
  .searchbar-input {
      border: none;
      margin: 0.6rem;
      outline: none;
      width: 100%;
      height: 100%;
      border-radius: 2.5rem;
      font-size: 1.6rem;
      background-color: var(--second-background-color);
  }
  
  .searchbar-input::placeholder {
      color: hsl(0, 0%, 70%);
  }
  
  .utilities {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      margin: 0 1rem;
      width: 100%;
  }
  
  .utilities-element {
      height: 8rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      text-decoration: none;
  }
  
  .utilities-element-icon {
      height: 3rem;
      width: 3rem;
      filter: invert(var(--filter-invert-value));
      -webkit-filter: invert(var(--filter-invert-value));
      -moz-filter: invert(var(--filter-invert-value));
  }
  
  .utilities-element-text {
      padding-top: 0.2rem;
      font-size: 1.4rem;
      color: var(--main-font-color);
  }
  
  .utilities-icon-buffer {
      border: none;
      width: 0.1rem;
      height: 5rem;
      background-color: var(--third-background-color);
  }
  
  .category-background {
      width: 100%;
      background-color: var(--third-background-color);
      box-shadow: 0 0.4rem 0.5rem -0.2rem var(--main-shadow-color);
  }
  
  .category-list {
      max-width: var(--main-width);
      padding: 0.5rem 0;
      display: flex;
      margin: 0 auto;
      list-style-type: none;
      flex-direction: row;
      justify-content: space-between;
  }
  
  .category-element {
      display: flex;
      flex-direction: row;
      align-items: center;
      width: min-content;
      text-decoration: none;
      height: 4rem;
      padding: 0.4rem 2rem;
      color: var(--main-font-color);
      border-radius: 1.5rem;
      transition: all 0.1s;
  }
  
  .category-element:hover {
      background-color: var(--second-background-color);
      box-shadow: 0 0.1rem 0.1rem var(--main-shadow-color),
          0 0.2rem 0.2rem var(--main-shadow-color),
          0 0.4rem 0.4rem var(--main-shadow-color),
          0 0.6rem 0.8rem var(--main-shadow-color),
          0 0.8rem 1.6rem var(--main-shadow-color);
  }
  
  .category-element-text {
      margin-left: 1rem;
      font-size: 1.4rem;
  }
  
  .category-element-image {
      width: 2rem;
      height: 2rem;
      filter: invert(var(--filter-invert-value));
      -webkit-filter: invert(var(--filter-invert-value));
      -moz-filter: invert(var(--filter-invert-value));
  }
  
  main {
      grid-area: main;
      padding: 2rem;
      margin: 0 auto;
      display: grid;
      grid-template-areas: "carousel carousel carousel"
                           "best-product recommended-products recommended-products"
                           "free-section free-section free-section";
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: min-content;
      gap: 3rem;
  }
  
  .carousel {
      grid-area: carousel;
      display: flex;
      flex-direction: column;
      padding-top: 0.5rem;
  }
  
  .carousel-image {
      border-radius: 2.5rem;
      width: 100%;
  }
  
  .carousel-tabs {
      display: flex;
      flex-direction: row;
      justify-content: space-around;
  }
  
  .carousel-tabs-button {
      background: transparent;
      border: none;
      cursor: pointer;
      color: var(--main-font-color);
  }
  
  .carousel-tabs-button-active {
      border-top: 4px solid var(--main-font-color);
      border-left: solid transparent;
      border-right: solid transparent;
  }
  
  .best-product {
      grid-area: best-product;
      display: flex;
      flex-wrap: wrap;
      width: 100%;
      justify-content: center;
      text-decoration: none;
      color: black;
      text-align: center;
      box-sizing: border-box;
      padding: 3rem;
      border: 0.2rem solid var(--main-border-color);
      border-radius: 1.5rem;
      background-color: white;
  }
  
  .best-product-item-icon {
      display: flex;
      flex-direction: column;
      align-items: center;
      position: relative;
  }
  
  .best-product-item-header {
      color: black;
      font-size: 3.0rem;
      font-weight: bold;
      margin-bottom: 1rem;
  }
  
  .best-product-item-image {
      width: 20rem;
      margin: 2rem;
  }
  
  .best-product-item-discount {
      position: absolute;
      right: 0;
      top: 5rem;
  }
  
  .best-product-item-discount-background {
      background-color: hsl(0, 0%, 50%);
      width: 9rem;
      height: 6rem;
      z-index: 1;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 1rem;
      color: white;
      font-size: 2.4rem;
      padding: 0.4rem;
  }
  
  .best-product-item-desc {
      display: flex;
      flex-direction: column;
      align-items: center;
  }
  
  .best-product-item-desc-name {
      font-size: 2rem;
      font-weight: normal;
      color: black;
      margin-top: 2rem;
  }
  
  .best-product-item-desc-price {
      font-size: 2.0rem;
      text-decoration: line-through;
      color: var(--discount-font-color);
  }
  
  .best-product-item-desc-sale-price {
      font-size: 3.6rem;
      color: var(--promo-font-color);
  }
  
  .promo-counter {
      width: 100%;
      height: max-content;
  }
  
  .promo-counter-text{
      margin: 1rem 0;;
  }
  
  .promo-counter-display {
      display: flex;
      flex-direction: row;
      justify-content: center;
  }
  
  .counter-digits {
      display: flex;
      flex-direction: column;
  }
  
  .counter-background {
      background-color: hsl(0, 0%, 85%);
      border-radius: 1.5rem;
      width: 5rem;
      height: 5rem;
      font-size: 2.5rem;
      display: flex;
      justify-content: center;
      align-items: center;
  }
  
  .counter-colon {
      margin: 1.1rem 0.5rem;
      font-size: 2.0rem;
      font-weight: bold;
  }
  
  .counter-colon::before {
      content: ":";
  }
  
  .counter-background {
      text-align: center;
  }
  
  .recommended-products {
      grid-area: recommended-products;
      background-color: var(--second-background-color);
      padding: 1rem;
      display: flex;
      flex-direction: column;
      border-top: 0.1rem solid hsl(0, 0%, 90%);
  }
  
  .recommended-products-header {
    color: var(--main-font-color);
      grid-column: 1 / 5;
      font-size: 2.6rem;
      margin: 2rem 0;
  }
  
  .recommended-products-box {
      display: flex;
      flex-wrap: wrap;
      gap: 2rem;
      justify-content: space-around;
      align-items: center;
  }
  
  .recommended-product-boxitem {
      width: 19%;
      min-width: 15rem;
      border-radius: 1.5rem;
      transition: box-shadow 0.1s;
      text-decoration: none;
      display: grid;
      grid-template-rows: 14rem 6rem 1fr 1fr;
      color: black;
      position: relative;
      background-color: white;
  }
  
  .recommended-product-boxitem:hover {
      box-shadow: 0 0 0.5rem 0.1rem var(--main-shadow-color);
  }
  
  .recommended-product-boxitem-text {
      grid-row: 2 / 3;
      font-size: 1.4rem;
      padding: 0.5rem 1rem 0 1rem;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
      overflow: hidden;
      text-overflow: ellipsis;
      color: var(--main-font-color);
      border-radius: 1rem 1rem 0 0;
      background-color: var(--fourth-background-color);
  }
  
  .recommended-product-boxitem-image-container {
      grid-row: 1 / 2;
      padding: 1rem;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 1rem 1rem 0 0;
  }
  
  .recommended-product-boxitem-image {
      max-width: 100%;
      max-height: 100%;
  }
  
  .recommended-product-boxitem-price {
      grid-row: 3 / 4;
      text-decoration: line-through;
      color: hsl(0, 0%, 60%);
      padding: 0.5rem 1rem 0 1rem;
      font-size: 1.4rem;
      background-color: var(--fourth-background-color);
  }
  
  .recommended-product-boxitem-sale-price {
      grid-row: 4 / 5;
      font-size: 1.6rem;
      font-weight: bold;
      color: var(--main-font-color);
      padding: 0 1rem 0.5rem 1rem;
      background-color: var(--fourth-background-color);
      border-radius: 0 0 1.2rem 1.2rem;
  }
  
  .free-section {
      grid-area: free-section;
      color: var(--main-font-color);
  }
  
  footer {
      grid-area: footer;
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      max-width: var(--main-width);
      margin-top: 2rem;
      padding: 2rem;
      background-color: var(--third-background-color);
  }
  
  .policy-docs {
      margin: 1rem 0;
  }
  
  .footer-link {
      font-size: 1.8rem;
      margin: 1rem;
      text-decoration: none;
      color: var(--main-font-color);
  }
  
  .footer-copyright {
      margin-right: 1rem;
      color: var(--main-font-color);
  }
  
  .typ {
      font-size: 3.6rem;
      margin-top: 2rem;
  }
  
  .typ-button {
      border: none;
      color: var(--second-font-color);
      padding: 1.5rem 3rem;
      text-align: center;
      text-decoration: none;
      font-size: 2rem;
      margin: 1rem 0.5rem;
      background-color: hsl(0, 0%, 50%);
      transition: all 0.3s;
  }
  
  .typ-container {
      grid-column: 1 / 5;
      display: flex;
      flex-direction: column;
      align-items: center;
  }
  
  .typ-button:hover {
      background-color: black;
  }
  
  .consent-information-container {
      max-width: 8rem;
      position: fixed;
      right: 0;
      top: 15rem;
  }
  
  .cookieconsent-optin-preferences,
  .cookieconsent-optin-statistics,
  .cookieconsent-optin-marketing {
      background-color: hsl(110, 30%, 50%);
  }
  
  .cookieconsent-optout-preferences,
  .cookieconsent-optout-statistics,
  .cookieconsent-optout-marketing {
      background-color: hsl(0, 30%, 50%);
  }
  
  .cookieconsent-info {
      font-size: 1.2rem;
      margin: 0.5rem 0;
      padding: 0.5rem 0 0.5rem 1rem;
      border-radius: 1.5rem 0 0 1.5rem;
      color:white;
  }
  

  @media screen and (min-width: 993px) {
      .mobile-navbar {
          display: none;
      }
  }
   
  @media screen and (min-width: 1600px) {
    :root {
        --main-width: 1400px;
    }
}
  
  @media screen and (max-width: 992px) {
      .category-background {
          display: none;
      }

      main {
        margin: 1rem auto;
      }
  
      .navbar .searchbar, .utilities-icon-buffer {
          display: none;
      }
  }
  
  @media screen and (max-width: 1100px) {
      .category-element-image {
          display: none;
      }
  }
  
  @media screen and (max-width: 1250px) {
      .navbar {
          width: 100%;
        }
  
      main {
          grid-template-areas: "carousel carousel carousel"
                               "best-product best-product best-product"
                               "recommended-products recommended-products recommended-products"
                               "free-section free-section free-section";
          gap: 1rem;
      }
  
      .utilities {
          justify-content: space-evenly;
      }
  
      .logo {
          display: flex;
          flex-direction: column-reverse;
       }
   
      .logo-image {
           height: 50px;
        }
   
      .logo-text {
           font-size: 1.6rem;
        }
  
      .best-product-item-desc {
          display: flex;
          justify-content: center;
      }
  
      .best-product {
          column-gap: 10rem;
      }
  }
  
  @media screen and (max-width: 1400px) {
      .consent-information-container {
          display: none;
      }
  
  }